Subject: Re: bug#65803: 29.1; Noto Sans Mono CJK JP has doubled-width on Windows

From: Eli Zaretskii <[email-masked]>
Date: Sat, 09 Sep 2023 15:51:38 +0300

> Date: Fri, 08 Sep 2023 14:49:11 +0000 (UTC)
> Cc: [email-masked], [email-masked], [email-masked]
> From: Werner LEMBERG <[email-masked]>
> 
> > [...]  CJK fonts customarily contain tens of
> > thousands of glyphs, of which only a small subset represent ASCII
> > ``monospace'' characters relevant to Emacs, but the `tmAveCharWidth'
> > field, which is derived from the font's OS/2 table:
> > 
> >   https://developer.apple.com/fonts/TrueType-Reference-Manual/RM06/Chap6OS2.html
> >
> > [...]
> 
> In general I recommend to refer to the OpenType specification
> 
>   https://learn.microsoft.com/en-us/typography/opentype/spec/
> 
> which is an ISO standard (ISO/IEC 14496-22 “Open Font Format”),
> instead of the Apple-only TrueType reference.  There are significant
> differences, especially for modern fonts.

How does one know, using the OpenType specification info, whether a
given font is fixed-pitch or proportional?  I seem to be unable to
find this in the spec, but maybe I need new glasses.